# 环境配置
server:
  port: 9011
  servlet:
    context-path: /api/zhuogao

# condition
spel:
  scheduling: true        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: zg-data2023
    url: jdbc:mysql://106.14.201.187:3306/zsd_file?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2637590343
  appKey: dingpf58d8stvjmlmeum
  appSecret: aEk90YBnlXl8Kn1rOhtuq8igxVwR6VKUdVZhngks-0SBR6ySy5j9HRqaFCEMlH8n
  corpId: dingd5d648cdd1e2518635c2f4657eb6378f
  aesKey:
  token:
  operator: ""   # OA管理员账号 [首字符若为0需要转一下字符串]